﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace SecurityAgent.ObjectSecurity.Client
{
    public class ObjectSecurityAgentConfigurationSection : ConfigurationSection
    {
        [ConfigurationProperty("applicationKey")]
        public string ApplicationKey
        {
            get { return (string)base["applicationKey"]; }
            set { base["applicationKey"] = value; }
        }

        [ConfigurationProperty("objectServiceEndPoint")]
        public string ObjectServiceEndPoint
        {
            get { return (string)base["objectServiceEndPoint"]; }
            set { base["objectServiceEndPoint"] = value; }
        }

        [ConfigurationProperty("fieldServiceEndPoint")]
        public string FieldServiceEndPoint
        {
            get { return (string)base["fieldServiceEndPoint"]; }
            set { base["fieldServiceEndPoint"] = value; }
        }

        [ConfigurationProperty("FieldLevelSecurity")]
        public string FieldLevelSecurity
        {
            get { return (string)base["FieldLevelSecurity"]; }
            set { base["FieldLevelSecurity"] = value; }
        }
    }

    
}
