﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SecurityFoundation
{
    public enum SecurityAccessMode
    {
        DenyAll = 0, AllowRead = 1, AllowCreate = 2, AllowUpdate = 4, DenyDelete = 7, AllowDelete = 8, DenyUpdate = 11, DenyCreate = 13, DenyRead = 14, AllowAll = 15
    }

    public enum ObjectSecurityRequirement
    {
        NotRequired = 0, Optional = 1, Required = 2
    }

    public enum FieldSecurityRequirement
    {
        NotRequired = 0, Optional = 1, Required = 2
    }

    public enum UseRealmRoleRequirement
    {
        Allways = 0, Optional = 1, NotAllowed = 2
    }
}
