﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Security;

namespace SecurityAgent
{
    [Serializable]
    public class SASIdentity : FormsIdentity
    {
        public string UserToken { get; set; }

        public SASIdentity(FormsIdentity identity, string userToken)
            : base(identity.Ticket)
        {
            UserToken = userToken;
        }

    }
}
