﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace SecurityAgent
{
    [DataContract]
    public class UnauthorizedAccessFault
    {
        public string Application { get; set; }
        public string Realm { get; set; }
        public string UserToken { get; set; }
        public string UserName { get; set; }
        public string Operation { get; set; }
        public string Object { get; set; }
        public string Field { get; set; }
        public string Message { get; set; }
    }

    [DataContract]
    public class SecurityFault
    {
        public string Application { get; set; }
        public string Realm { get; set; }
        public string Argument1 { get; set; }
        public string Argument2 { get; set; }
        public string Message { get; set; }
    }
}
